Subject: Re: bug#8789: 23.3; debug backtrace buffer changes window on step-through

From: martin rudalics <[email-masked]>
Date: Tue, 18 Sep 2012 09:10:55 +0200

> 1. OK, I was not aware of that option; thanks.  Please document it.  (I do not
 > see it in either the Emacs manual or the Elisp manual.)

It's not yet documented.

 > 2. I tried each of the values listed in the doc string.  None of them had any
 > effect at all.  Same broken behavior, always: the frame is deleted, then
 > re-created with the default size and position (i.e., ignoring its previous size
 > and position).  That re-creation takes perhaps 0.5 sec or 1 sec, which means
 > that it is visually quite distracting, besides the fact that the size and
 > position prevent using the debugger efffectively (really, prevent using it at
 > all).
 >
 > I am using the regular Emacs debugger, not `edebug'.  E.g., I am using
 > `debug-on-entry' etc.  Dunno whether that is pertinent.  The doc says nothing
 > about `edebug', in any case.

I checked in a fix for this in revision 110085.  Please try it.

 > 3. Wrt the new option's defcustom: If the documented four possible values are
 > the only possible values, then the defcustom should be rewritten so that the
 > user can choose (and can only choose) by using the Value Menu.  S?he should not
 > have to or be allowed to enter a quoted symbol name in a text edit field.
 >
 > If the documented possible values are not the only possible values, then the doc
 > string should be updated to mention what other possible values there are and
 > what they do.
 >
 > This (#3) is a bug.  Do you want me to file a separate bug report for it?

I checked in a fix for this in the same revision.

Thanks, martin